
/* ===purpose=== */

/**********************************************************************************************************************************/
/********************************  COLLOCATION BEM for 3D LAPLACE EQUATION: SINGULAR FORMULATION  *********************************/
/***************************************  3-NODED TRIANGULAR ELEMENT: ANALYTIC INTEGRATION  ***************************************/
/*****************************************************  Functions prototypes  *****************************************************/
/**********************************************************************************************************************************/

/* Developer: Sylvain Nintcheu Fata */
/* Version:   V.1.3                 */
/* Released:  Jun 14, 2012          */


void cbem_lap_input(const char *InfParams,const char *InfData); /* Read input data and parameters */
void cbem_lap_init(void);  /* Initialize arrays and parameters */
void cbem_lap_assem(void); /* Assemble h and g influence matrices */
void cbem_lap_lrhs(void);  /* Form the left- and right-hand sides of the discretized BIE */
void cbem_lap_solv(void);  /* Solve the Discretized BIE */

